# Create a site with a generated address under the platform domain

`POST /hosting/sites` · Rivier · hosting

Create a site with a generated address under the platform domain.

- Scope: hosting:write
- Mcp: rivier_hosting_site_create
- Graphql: Mutation.hostingSiteCreate
- Sdk: hosting.site.create
- Cli: hosting site create
- Events: hosting.site.created

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    },
    "slug": {
      "type": "string",
      "minLength": 1,
      "maxLength": 16
    },
    "tier": {
      "type": "string",
      "enum": [
        "static",
        "next"
      ]
    },
    "region": {
      "type": "string",
      "minLength": 2,
      "maxLength": 24
    }
  },
  "required": [
    "name",
    "slug",
    "tier"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/hosting/sites' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "slug": "string",
  "tier": "static"
}'
```
